This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Archive Widgets


The archives widgets plugin for WordPress replaces its default, single archive widget with multiple archive widgets.

This lets you insert multiple instances of archive widget when using the Semiologic theme or Widget Contexts.

Note: This plugin is NOT needed in WordPress 2.8 or greater.


  1. Upload the plugin folder to the /wp-content/plugins/ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress


Help Me!

The Semiologic forum is the best place to report issues. Please note, however, that while community members and I do our best to answer all queries, we’re assisting you on a voluntary basis.

If you require more dedicated assistance, consider using Semiologic Pro.

Contributors & Developers

“Archive Widgets” is open source software. The following people have contributed to this plugin.


Translate “Archive Widgets” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.